
/*
Copyright (c) 2010 Donatien Garnier (donatiengar [at] gmail [dot] com)
 
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
 
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

//ZG2100 NetServices high-level interface : configuration & setup
//Donatien Garnier 2010

#ifndef ZG_IF_H
#define ZG_IF_H

#include "zg_defs.h"

void zg_scan(byte channel);

void zg_on_scan_results(byte* buf, int len);

void zg_set_ssid(const char* ssid);

void zg_set_wep_key(const byte* key, int len);

void zg_set_wpa_pass(const char* pass);

void zg_on_psk_key(byte* buf, int len);

void zg_set_psk_key(const byte* key, int len);

void zg_connect(ZG_BSS_TYPE type, ZG_SECURITY security);

void zg_on_connect(zg_err result);

zg_err zg_get_connection_result();

void zg_disconnect();

void hexdump(byte* buffer, int size);

#endif
